Subject: SC 22 N 3444 - Liaison Report from JTC 1/SC 7 to SC 22

From: Matthew Deane <[email-masked]>
Date: Fri, 26 Jul 2002 09:44:33 -0400

ISO/IEC JTC 1/SC22
Programming languages, their environments and system software interfaces
Secretariat:  U.S.A.  (ANSI)
 
ISO/IEC JTC 1/SC22 N3298
 
TITLE:
Liaison Report from JTC 1/SC 7 to SC 22

DATE ASSIGNED:
2002-07-26
 
SOURCE:
Liaison Officer to JTC 1/SC 7 (J. Moore)

BACKWARD POINTER:
N/A
 
DOCUMENT TYPE:
Liaison Contribution

PROJECT NUMBER:
N/A
 
STATUS:
This document will be reviewed at the upcoming SC 22 Plenary under Agenda
Item 7.5.2.

ACTION IDENTIFIER:
FYI
 
DUE DATE:
  
DISTRIBUTION:
Text

CROSS REFERENCE:
 
DISTRIBUTION FORM:
Def
 
Address reply to:
ISO/IEC JTC 1/SC22 Secretariat
Matt Deane
ANSI
25 West 43rd Street
New York, NY  10036
Telephone:  (212) 642-4992
Fax:             (212) 840-2298
Email:  [email-masked]

_______end of cover page, beginning of report____________

Liaison Report
James W. Moore
Liaison from SC22 to SC7 and v.v.
15 July 2002

I was appointed to the liaison position in September 1999 when it
appeared that the work programmes of SC22 and SC7 might overlap with
poor consequences. The appearance of overlap was found to result from a
misunderstanding and was easily resolved. Since then, there has been
little need for active liaison between the two subcommittees.

One recent event, though, suggests that an official communication from
SC22 to SC7 might be helpful. SC7 has admitted the IEEE Computer Society
into a Category A liaison arrangement. Under the terms of the
arrangement, SC7 and IEEE CS will cooperate in the "coordinated
adoption" of selected standards so that both organizations approve
identically worded standards. Of course, for approximately 15 years,
SC22/WG15 has cooperated with IEEE CS with a similar goal under the
terms of WG15 N 733.

As the liaison between the two subcommittees, I believe that it would be
helpful if SC22 were to officially advise SC7 of its success using this
mechanism. Therefore, I propose the following resolution for
consideration at the plenary meeting of SC22:

"JTC1/SC22 advises JTC1/SC7 of its success in cooperating with the IEEE
Computer Society in the coordinated adoption of identically worded
standards. For more than ten years, SC22/WG15 and IEEE-CS have
cooperated by applying a procedure intended to coordinate the adoption
processes of the two organizations. (The most recent version of this
procedure is WG15 N 733.) Using this procedure, the famous POSIX
standards are identical in both ISO/IEC and in IEEE."